Android Export Issues With Eclipse

Discussion in 'How Can I...?' started by codybonnett, Aug 12, 2017.

  1. codybonnett

    codybonnett Boxer

    Joined:
    Jun 17, 2016
    Messages:
    32
    Likes Received:
    5
    Let me start by saying I have read all of the threads and the manual on exporting for android.

    I am using eclipse, Java 1.7 and downloaded the android sdk 23.

    I cannot for the life of me get rid of the 3 attached errors in my project in order to run as android application.

    Searched the last 2 days and am beginning to doubt that it's even possible to export to Android anymore. Has anyone actually done this successful recently? If so any tips would be hugely, immensely, greatly appreciated!!!!
     
  2. DariusGuerrero

    DariusGuerrero Moderator Staff Member

    Joined:
    Dec 22, 2016
    Messages:
    470
    Likes Received:
    379
    A lot of people have been publishing to Android. Just a while ago two people I know built APKs. I don't know. Maybe you have to download other Android SDKs?
     
  3. codybonnett

    codybonnett Boxer

    Joined:
    Jun 17, 2016
    Messages:
    32
    Likes Received:
    5
    not letting me attach a file so the errors are written out below;

    Error retrieving parent for item: No resource found that matches the given name '@android:style/Theme.Material.Light.DialogWhenLarge.NoActionBar'.

    Error retrieving parent for item: No resource found that matches the given name '@android:style/Theme.Material.Light.DialogWhenLarge.NoActionBar'.

    The container 'Android Dependencies' References non existing library "my project path file"\libs\google-play-services_lib\bin\google-play-services_lib.jar'
     
  4. codybonnett

    codybonnett Boxer

    Joined:
    Jun 17, 2016
    Messages:
    32
    Likes Received:
    5
    Good to know it's possible. I know in xcode I have to sign the app before running is there something like that in eclipse as well? It's not in the instructions anywhere.
     
  5. DariusGuerrero

    DariusGuerrero Moderator Staff Member

    Joined:
    Dec 22, 2016
    Messages:
    470
    Likes Received:
    379
    Oh the equivalent would be the keystore you have to make. Be sure to follow https://www.buildbox.com/publish-android-build-for-google-play/ precisely. I can't answer that one though I haven't made an APK for months now. Look for other source online on how to install JDK and SDK and make sure eclipse knows where they are.
     
  6. codybonnett

    codybonnett Boxer

    Joined:
    Jun 17, 2016
    Messages:
    32
    Likes Received:
    5
    @DariusGuerrero Thanks for he replys, I appreciate you taking the time to help.

    I have followed this to a tee but I'm assuming there is a problem with my JDK version or SDKs. I know eclipse can see the android sdk 23 because the errors that were pointed towards "andrird-23" went away after it was installed. However these errors are not going away. My java version is 1.7 like specified and I followed the very simple instructions in that link. Bummer, I'll keep effing with it and let you know if I figure it out.
     
  7. jcalle

    jcalle Miniboss Boxer

    Joined:
    Sep 25, 2015
    Messages:
    1,175
    Likes Received:
    527
    Follow the tutorials...
    http://buildbox.com/forum/index.php?threads/are-there-any-bb-code-helpers.482/#post-2893
    http://buildbox.com/forum/index.php...pse-java-and-android-sdk-video-tutorial.2794/
    Delete the Eclipse folder and start over from the beginning, download Eclipse and Android SDK, try again.
    INSTALL ONLY JAVA JDK1.7

    If watching the tutorials you can not create the APK, contact me by PM to connect to your PC remotely (Teamviewer)

    Note: If I connect to your computer, and if you do not followed the steps indicated in the manuals, or do not have the programs that I indicated, I am very sorry, but I will not install it, nor tell you what to do.
     
  8. NALAYAK

    NALAYAK Boxer

    Joined:
    Jun 15, 2017
    Messages:
    15
    Likes Received:
    0
    I have same Issue My Friend i am also Unable to build Working APK for my Game. i followed each and every step correctly I Used API 21 it didn't work so i Downloaded and Installed API 23. This also didn't work. So i contacted Buildbox Support(& they Stopped Replying)

    i have also made a Video of my process of what i have done to make APK using Eclipse.

    Here is the Video Link: https://drive.google.com/open?id=0B1eCi1HyUnKKcHF3WUx1c0F6Smc

    And after Making my Apk in Eclipse i Installed it on Real Android Device Running Android version 6.0(Marshmallow).

    But when i Run my game on Device I get this Output. see(Game Error.png) Screenshot.
     

    Attached Files:

  9. codybonnett

    codybonnett Boxer

    Joined:
    Jun 17, 2016
    Messages:
    32
    Likes Received:
    5
    @jcalle I actually managed to get rid of the errors by re-doing all of the steps on my PC instead of my mac.

    I didn't come across your video earlier, otherwise it would have been easier.

    Is it a stupid question to ask where you got the keystore info and password? From my google searches it looks like I need to add lines of code to make that happen.
     
  10. codybonnett

    codybonnett Boxer

    Joined:
    Jun 17, 2016
    Messages:
    32
    Likes Received:
    5
    I just created a new keystore. Thank you mother lovers.
     
  11. NALAYAK

    NALAYAK Boxer

    Joined:
    Jun 15, 2017
    Messages:
    15
    Likes Received:
    0
    NO NO NO you need not to write a Single line
     
  12. NALAYAK

    NALAYAK Boxer

    Joined:
    Jun 15, 2017
    Messages:
    15
    Likes Received:
    0
    All Buildboxers Can you Help me in Making a Working APK for my Game. It's a Request Man.
     
  13. jcalle

    jcalle Miniboss Boxer

    Joined:
    Sep 25, 2015
    Messages:
    1,175
    Likes Received:
    527
    Follow the tutorials.
    You have to install the Extras on the Android SDK.
    Check your Java version and follow the videos step by step (activation of Java 1.7 and skip errors)
     
  14. NALAYAK

    NALAYAK Boxer

    Joined:
    Jun 15, 2017
    Messages:
    15
    Likes Received:
    0
    I Did the same what you said to me in earlier comment. Downloaded and installed All Extras in SDK manager. with API 21 & API 23
    still no Success.
     
  15. codybonnett

    codybonnett Boxer

    Joined:
    Jun 17, 2016
    Messages:
    32
    Likes Received:
    5
    Might be a stupid questions but did you go to window-> sdk manager and install API 23 in eclipse?

    That took me a few times to realize. Also make sure you right click the project -> properties -> java compiler and choose 1.7.
     
  16. NALAYAK

    NALAYAK Boxer

    Joined:
    Jun 15, 2017
    Messages:
    15
    Likes Received:
    0
    @jcalle @codybonnett Man i Need your Help, Can anyone make a Working APK for my Game. I will send you the .BBDOC for my game.
     
  17. codybonnett

    codybonnett Boxer

    Joined:
    Jun 17, 2016
    Messages:
    32
    Likes Received:
    5
    Sure send me the file, I'll try to help you out.
     
  18. sharma.shivam

    sharma.shivam Avid Boxer

    Joined:
    Oct 23, 2016
    Messages:
    180
    Likes Received:
    10
    @NALAYAK hi,
    how did you fixed the remaining two errors.actually i am having a similar issue with eclipse.when i import my buildbox
    project in eclipse juno i get these 3 errors(attachment)
    can you send me a screenshot of your android sdk manager and project property screen please.
    i made some changes in project property
    --------------------------
    i made these changes in my project property but it didn't worked.
    target=android-23
    android.library.reference.1=libs/google-play-services_lib
    sdk.build.tools=23.0.5
    ---------------------------
    can you help me out a bit bro??
     

    Attached Files:

  19. Tamsler

    Tamsler Boxer

    Joined:
    Nov 10, 2017
    Messages:
    7
    Likes Received:
    1
    I have downloaded the Android SDKs for my Android , but such problems still exist
     
  20. mobo12

    mobo12 Boxer

    Joined:
    Sep 19, 2017
    Messages:
    10
    Likes Received:
    0
    right click on project ->properties->android->and select android version and add lib(do not select it is a library)
     

Share This Page